DWARF_FDE_CFA_OFFSET(3) | Library Functions Manual | DWARF_FDE_CFA_OFFSET(3)

# NAME

`dwarf_fde_cfa_offset` — add a DW_CFA_offset frame instruction to a DWARF frame descriptor

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_P_Fde
`dwarf_fde_cfa_offset`(Dwarf_P_Fde fde, Dwarf_Unsigned reg, Dwarf_Signed offset, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_fde_cfa_offset`() appends a `DW_CFA_offset` frame instruction to the frame descriptor referenced by argument fde.

Argument fde should reference a frame descriptor allocated using dwarf_new_fde(3).

Argument reg specifies the register operand for the frame instruction.

Argument offset specifies the offset operand for the frame instruction.

If argument err is not `NULL`, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_fde_cfa_offset`() returns the frame descriptor given in argument fde. In case of an error, function `dwarf_fde_cfa_offset`() returns `DW_DLV_BADADDR` and sets the argument err.

# ERRORS

Function `dwarf_fde_cfa_offset`() can fail with:

[`DW_DLE_ARGUMENT`]
  Argument fde was `NULL`.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_fde_inst(3), dwarf_add_frame_cie(3), dwarf_add_frame_fde(3), dwarf_add_frame_fde_b(3), dwarf_new_fde(3)

September 26, 2011 | NetBSD 11.0